<template>
  <div id="app">
    <TaskList />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import TaskList from "./components/TaskList.vue";
@Component({
  components: {
    TaskList,
  }
})
export default class App extends Vue {
  public addToCount(counter: number): void{
    console.log("counter: ", counter);
    
  }
}
</script>

<style lang="scss">
*,
*:before,
*:after {
  box-sizing: border-box;
}
body{
  margin: 0px;
  min-height: 100vh;
}
#app{
  padding: 15px;
}
.header h3{
  text-align: center;
}
.todo-list-app {
  display: flex;
  flex-flow: row wrap;
  height: calc(100vh - 30px);
  .task-form-container, .task-list-container{
    border: 1px solid black;
    padding: 20px 40px 60px 40px;
  }
  .task-form-container{
    flex-grow: 1;

  }
  .task-list-container{
    flex-grow: 2;
    position: relative;
    .bulk-actions{
      display: flex;
      justify-content: space-between;
      padding: 10px 20px;
      background-color: rgba(204, 204, 204, 0.9);
      position: absolute;
      bottom: 0;
      left: 0;
      right: 0;
      z-index: 10;
    }
  }
  .task-item-section{
    max-height: calc(100vh - 240px);
    min-height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: start;
    overflow: hidden;
    overflow: auto;
    .task-item-wrap{
      overflow-y: auto;
    }
  }
  @media (max-width: 991px) {
    .todo-list-app{
      height: auto;
    }
    .task-form-container, .task-list-container{
      width: 100%;
    }
  }
}
.show{
  visibility: show;
}
.hide{
  visibility: hidden;
}
.form-inline{
  display: flex;
  flex-flow: wrap;
}
.form-inline .form-group{
  flex-grow: 1;
  &:nth-child(1){
    margin-right: 15px;
  }
  &:nth-child(2){
    margin-left: 15px;
  }
  @media (max-width: 480px) {
    &:nth-child(1){
      width: 100%;
      margin-right: 0px;
    }
    &:nth-child(2){
      width: 100%;
      margin-left: 0px;
    }
  }
}
.cus-form{
  width: 40%;
}
.form-inline .space{
  flex-grow: 1;
}
.form-group{
  margin-top: 10px;
  margin-bottom: 10px;
  label{
    font-weight: bold;
  }
}
.form-control{
      width: 100%;
      height: 2rem;
    }
.form-control-textarea{
  width: 100%;
  resize: vertical; 
}
   
.btn{
  padding: 10px 20px;
  color: white;
  border-radius: 5px;
  border: unset;
  &:hover{
    cursor: pointer;
  }
}
.btn-primary{
  background-color: #0094EC;
}
.btn-info{
  background-color: #00BCD4;
}
.btn-danger{
  background-color: #D9534F;
}
.btn-success{
  background-color: #4CAF50;
}
.btn-full{
  width: 100%;
}
.ml-10{
  margin-left: 10px;
}
.mr-10{
  margin-right: 10px;
}
</style>
